Description

hi,

One of our longstanding peeves is that we are not able to share bug filters - similar to Bugzilla.

For example, I am able to quickly share a new Bugzilla filter I made with my colleagues : 

http://myserver/bugzilla/buglist.cgi?bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPEN

ED&emailassigned_to1=1&emailreporter1=1&emailtype1=exact&email1=sandeep1%40sandeep1.com&field0-0-0=bug_status&type0

-0-0=notequals&value0-0-0=UNCONFIRMED&field0-0-1=reporter&type0-0-1=equals&value0-0-1=sandeep1

This is a huge plus for collaboration. I know I could save it and share it, but there are couple of advantages with the URL method:

1. In a glance I can figure out what the query does.

2. I can modify the query quickly and make another filter - I dont have to bother with creating another filter.

3. BIG ONE: it doesnt matter if the saved query has been deleted, the shared URL's are still valid. Right now, I can delete the saved

query and then I need to remember how that query was created.

This would be really, really awesome for usability. You DONT need to break existing functionality (of creating a saved filter), I think

just make the filter query work through GET as well.

History

#1 - 2011-03-11 14:31 - Felix Schäfer

This is a potential security risk too, imagine you have a private project with a custom field "client", sharing a query ID doesn't reveal it, if you share a

link with all filters in the URL, someone might then get to know that ClientA is your client.

#2 - 2011-03-11 14:37 - Sandeep S

Felix Schäfer - I admit that might be relevant for some people (though Bugzilla still does it). Which is why I'm totally not asking for any functionality

change - merely an additional piece. In fact, I'm not even asking for the default query URL to be changed : the query URL is simply displayed on the

page and I can choose to copy and share it.

If I choose to share, then it is because the convenience of collaboration outweighs any risks.

In my case, it is little things like this that keeps us from moving a (largish) internal bug tracking+PM software to redmine.

#3 - 2011-03-11 14:41 - Felix Schäfer

Sandeep S wrote:

Felix Schäfer - I admit that might be relevant for some people (though Bugzilla still does it). Which is why I'm totally not asking for any

functionality change - merely an additional piece. In fact, I'm not even asking for the default query URL to be changed : the query URL is simply

displayed on the page and I can choose to copy and share it.

 I didn't say I was against it, only that it should be kept in mind.

If I choose to share, then it is because the convenience of collaboration outweighs any risks.

 That's fine if the choice is your's to make, I know of several large organizations though with very strict security requirements that disable some

functionality in Redmine to be able to use it. As I said, I'm not against it, it's just something that has to be kept in mind.

#4 - 2011-09-06 19:58 - Jeff Pierson

I just wanted to void that this bug is one of the major sticking points for our company to switch from Bugzilla to Redmine. I'm working through the

feature gap piece by piece but sharing URLs in emails and such is a very common practice for us.
If a URL to a shared search could be shared then that is probably adequate for us too however it does make it more difficult for my to template some

pages on a separate intranet site that dynamic write URLs in order to provide specific searches. I assume that I could probably go about this a

different way with Redmine but not entirely sure especially since our other intranet sites are all ASP.NET. I'm guessing this only leaves open the

possibility of using some type of web service interface.

Another note is that we use the same URL feature from Bugzilla for sharing tabular reports on a regular basis. This is a real simple way for somebody

doing some analysis to redirect people to a nice table showing bug numbers. I haven't yet started looking into how this could be done in Redmine but

sharing a URL to these reports is just as important to us.

#5 - 2011-09-07 08:07 - Etienne Massip

- Category set to Issues

Hasn't it already been fixed with #1965 in 1.2.0 with r5276?

#6 - 2011-12-21 13:19 - Sandeep S

Etienne E - no this has not been fixed by the issue/fix you mentioned. (In fact I would argue that the correct fix for that feature would be this.)

Issue #1965 is related to queries being kept in session - and the fixes for that, which would make redmine tab safe.

Now, if there is a way to not keep queries in session (which also includes un-shareable saved queries) - it would really simplify everything ... including

back button behavior AND fix this issue.

But, this bug here is much more limited/easier:

Redmine already generates queries similar to

"http://www.redmine.org/projects/redmine/issues?set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=o&f%5B%5D=priority_id&op%5Bpriority_i

d%5D=%3D&v%5Bpriority_id%5D%5B%5D=4&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B

%5D=updated_on&c%5B%5D=category&group_by=", which is then saved in the system as

"http://www.redmine.org/projects/redmine/issues?query_id=2"

This bug is just about printing (maybe at the bottom of the query page) - the actual long URL for that query. This can then be copied and shared with

anyone and there is no impact on sessions/back buttons, etc.

#7 - 2019-12-14 03:49 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

I think #1965 and #5138 implemented this feature. Please reopen this issue if you think the latest Redmine still lacks this feature.
